#include <stdio.h>
#include <allegro.h>

#define PRJNAME      "Project X Map Creator"
#define PRJVER       "0.12"
#define PRJDATE      "4.14.99"

struct OWMAP  //overworld map file
{
   int tile;
   int layer2;
   int walk;
   int enemy;
} OWMap[500][500];

struct CITYMAP  //overworld map file
{
   int tile;
   int layer2;
   int walk;
   int enemy;
} CityMap[175][175];


int main(void)
{
   PACKFILE *outfile;
   char *tmpcity;
   char SelCity[12];
   int MapType;

   allegro_init();

   printf("\n%s version %s\n",PRJNAME,PRJVER);
   printf("Build Date: %s\n",PRJDATE);

   printf("\nTYPE OF MAP");
   printf("\n-----------");
   printf("\n1. Overworld Map");
   printf("\n2. City/Town/Castle Map");
   printf("\n\nYour Choice: ");
   scanf("%i",&MapType);

   if(MapType!=1 && MapType!=2)
      exit(1);
   printf("\n\nName of Map: ");
   scanf("%s",&SelCity);

   outfile = pack_fopen(SelCity, "wp");
   if (outfile == NULL)
   {
      printf("\n\n Fatal error:  could not open %s for output.\n");
      exit(1);
   }

   if(MapType==1)
   {
      pack_fwrite(&OWMap,sizeof(OWMap),outfile);
   } else if(MapType==2)
   {
      pack_fwrite(&CityMap,sizeof(CityMap),outfile);
   }
   pack_fclose(outfile);
   
   allegro_exit();
   return(0);
}
